commit:     1ca23290ed3de93e99f4250da4bad4f9d1572bb5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 06:28:19 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 07:13:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ca23290

dev-python/pypiserver: Bump to 1.5.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypiserver/Manifest                |  1 +
 dev-python/pypiserver/pypiserver-1.5.2.ebuild | 76 +++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/pypiserver/Manifest b/dev-python/pypiserver/Manifest
index d918e4b4a498..88dbf415375e 100644
--- a/dev-python/pypiserver/Manifest
+++ b/dev-python/pypiserver/Manifest
@@ -1 +1,2 @@
 DIST pypiserver-1.5.1.gh.tar.gz 150145 BLAKE2B 
23ceba3064da4a0d7a19af0a48f370913948dd8cec101cdee43f59c78087b71adcb0fb3a494ca1a94cf3cc2c42751f8710f9cf9037401d73bec7f94f300dbf6b
 SHA512 
35797c37ecfc2c7de21211c5c5f9c0edf98ba49e54fbee779099e411dde73377706aeddcd3dfb34c3ae2ef7d7f4ebf9146c3fb02b0778742d688f8ac17a64cfd
+DIST pypiserver-1.5.2.gh.tar.gz 153032 BLAKE2B 
58cb9ef1bc842fd31612009201e4fafbb5c477b7284cf1f85f1e2939167573c27d451a8b8735d52be8cfb467ff1bfe30b7b83567926b3945beae62b1ee82833c
 SHA512 
e8794341c0b5e6d9d7c72bd4cf29380adc2415563724d5af0ff808d8fb81afea646477859a2dfd5dc2d3ccf62cad5118887891faa11e70b125cbb8b7e88e977a

diff --git a/dev-python/pypiserver/pypiserver-1.5.2.ebuild 
b/dev-python/pypiserver/pypiserver-1.5.2.ebuild
new file mode 100644
index 000000000000..db2f3b0d87bd
--- /dev/null
+++ b/dev-python/pypiserver/pypiserver-1.5.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Minimal PyPI server"
+HOMEPAGE="
+       https://github.com/pypiserver/pypiserver/
+       https://pypi.org/project/pypiserver/
+"
+SRC_URI="
+       https://github.com/pypiserver/pypiserver/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+       dev-python/bottle[${PYTHON_USEDEP}]
+       >=dev-python/pip-7[${PYTHON_USEDEP}]
+       >=dev-python/wheel-0.25.0[${PYTHON_USEDEP}]
+"
+# NB: many test deps are optional/specific to tests we skip
+BDEPEND="
+       dev-python/setuptools-git[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/passlib-1.6[${PYTHON_USEDEP}]
+               dev-python/setuptools[${PYTHON_USEDEP}]
+               dev-python/webtest[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=( README.rst )
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.5.0-unbundle-bottle.patch"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # remove bundled bottle (sic!)
+       rm pypiserver/bottle.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet
+               tests/test_server.py::test_hash_algos
+               tests/test_server.py::test_pipInstall_openOk
+               tests/test_server.py::test_pipInstall_authedOk
+               # TODO
+               tests/test_app.py::test_root_count
+               tests/test_server.py::test_pip_install_open_succeeds
+               tests/test_server.py::test_pip_install_authed_succeeds
+               # seems to rely on internal bottle details
+               tests/test_main.py::test_auto_servers
+       )
+
+       if ! has_version dev-python/twine; then
+               EPYTEST_DESELECT+=(
+                       tests/test_server.py::test_twine_upload
+                       tests/test_server.py::test_twine_register
+               )
+       fi
+
+       epytest tests
+}

Reply via email to